Patchwork [meta-oe,2/3] gnome-settings-daemon: add dependency on libxtst6

login
register
mail settings
Submitter Koen Kooi
Date May 7, 2012, 6:53 a.m.
Message ID <1336373612-18607-2-git-send-email-koen@dominion.thruhere.net>
Download mbox | patch
Permalink /patch/27201/
State Accepted
Commit aef94a859a04ad877518258812f46611016f2f08
Headers show

Comments

Koen Kooi - May 7, 2012, 6:53 a.m.
It's autodetected and leads to sstate based breakage on autobuilders:

This ends up in the package:

Package: gnome-settings-daemon
Version: 2.32.1-r3
Depends: libltdl7 (>= 2.4.2), hicolor-icon-theme, libjson0 (>= 0.9), libxcb1 (>= 1.8.1), libxrender1 (>= 0.9.7), libpixman-1-0 (>= 0.25.2), libxml2 (>= 2.7.8), libxext6 (>= 1.3.1), libz1 (>= 1.2.6), libxtst6 (>= 1.2.1),

But libxtst hasn't been built.

Signed-off-by: Koen Kooi <koen@dominion.thruhere.net>
---
 .../gnome-settings-daemon/gnome-settings-daemon_2.32.1.bb          |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Patch

diff --git a/meta-gnome/recipes-gnome/gnome-settings-daemon/gnome-settings-daemon_2.32.1.bb b/meta-gnome/recipes-gnome/gnome-settings-daemon/gnome-settings-daemon_2.32.1.bb
index 31ee373..fc678b9 100644
--- a/meta-gnome/recipes-gnome/gnome-settings-daemon/gnome-settings-daemon_2.32.1.bb
+++ b/meta-gnome/recipes-gnome/gnome-settings-daemon/gnome-settings-daemon_2.32.1.bb
@@ -2,9 +2,9 @@  DESCRIPTION = "GNOME settings daemon"
 LICENSE = "GPLv2"
 LIC_FILES_CHKSUM = "file://COPYING;md5=59530bdf33659b29e73d4adb9f9f6552"
 
-PR = "r3"
+PR = "r4"
 
-DEPENDS = "glib-2.0 polkit gtk+ gconf dbus-glib libnotify libgnomekbd libxklavier gnome-doc-utils gnome-desktop"
+DEPENDS = "libxtst glib-2.0 polkit gtk+ gconf dbus-glib libnotify libgnomekbd libxklavier gnome-doc-utils gnome-desktop"
 
 inherit gtk-doc gnome